/*
	$Id: Date.h 1283 2020-05-10 14:35:16Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4cQt_Timestamp_h__
#define __Base4cQt_Timestamp_h__

#include <Base4cQt/Base4cQt.h>

#include <Base4c/Timestamp.h>

#include <QtCore/QDateTime>

namespace Base4cQt
{
	class Base4cQt_EXPORT Timestamp : public Base4c::Timestamp
	{
		public:
			Timestamp( const Base4c::Timestamp& ts );

			static Base4c::Timestamp fromQDateTime( const QDateTime& src );
			QDateTime toQDateTime() const;
	};
}

#endif /* !__Base4cQt_Timestamp_h__ */
 
 
